(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     23495,        800]
NotebookOptionsPosition[     19843,        666]
NotebookOutlinePosition[     20283,        684]
CellTagsIndexPosition[     20240,        681]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 "Zugriff auf eine Datenbank mit ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 5.1"
}], "Section"],

Cell[CellGroupData[{

Cell["Vorbereiten der Datenbankverbindung", "Subsection"],

Cell[CellGroupData[{

Cell["Starte die Datenbank", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Run", "[", "\"\<c:\\\\mysql\\\\startmysql.bat\>\"", "]"}], 
  ";"}]], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Lade die Datenbankschnittstelle", "Subsubsection"],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<DatabaseLink`\>\"", "]"}]], "Input"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Zuerst testen wir eine manuelle Verbindung", "Subsection"],

Cell[CellGroupData[{

Cell["Verbindung herstellen", "Subsubsection"],

Cell["\<\
Die Datenbank ist ohne Benutzerverwaltung: User =\"root\" und pwd = \"\"\
\>", "SmallText"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"conn", "=", 
  RowBox[{"OpenSQLConnection", "[", 
   RowBox[{
    RowBox[{"JDBC", "[", 
     RowBox[{"\"\<mysql\>\"", ",", "\"\<localhost:3306/mysql\>\""}], "]"}], 
    ",", 
    RowBox[{"Username", "\[Rule]", "\"\<root\>\""}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"SQLConnection", "[", 
  RowBox[{"\<\"\"\>", ",", "3", ",", "\<\"Open\"\>", ",", "\<\"<>\"\>"}], 
  "]"}]], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Zeige alle vorhandenen Tabellen", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Prepend", "[", 
   RowBox[{
    RowBox[{"Cases", "[", 
     RowBox[{
      RowBox[{"SQLTables", "[", "conn", "]"}], ",", 
      RowBox[{
       RowBox[{"SQLTable", "[", 
        RowBox[{"x_", ",", "_"}], "]"}], ":>", "x"}]}], "]"}], ",", 
    "\"\<Tabellen:\>\""}], "]"}], "//", "TableForm"}]], "Input"],

Cell[BoxData[
 InterpretationBox[GridBox[{
    {"\<\"Tabellen:\"\>"},
    {"\<\"columns_priv\"\>"},
    {"\<\"db\"\>"},
    {"\<\"func\"\>"},
    {"\<\"help_category\"\>"},
    {"\<\"help_keyword\"\>"},
    {"\<\"help_relation\"\>"},
    {"\<\"help_topic\"\>"},
    {"\<\"host\"\>"},
    {"\<\"tables_priv\"\>"},
    {"\<\"time_zone\"\>"},
    {"\<\"time_zone_leap_second\"\>"},
    {"\<\"time_zone_name\"\>"},
    {"\<\"time_zone_transition\"\>"},
    {"\<\"time_zone_transition_type\"\>"},
    {"\<\"user\"\>"}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  TableForm[{
   "Tabellen:", "columns_priv", "db", "func", "help_category", "help_keyword",
     "help_relation", "help_topic", "host", "tables_priv", "time_zone", 
    "time_zone_leap_second", "time_zone_name", "time_zone_transition", 
    "time_zone_transition_type", "user"}]]], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Lies alle Informationen aus der Tabelle user", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"SQLExecute", "[", 
   RowBox[{"conn", ",", " ", "\"\<SELECT * FROM user\>\""}], "]"}], "//", 
  "TableForm"}]], "Input"],

Cell[BoxData[
 TagBox[GridBox[{
    {"\<\"localhost\"\>", "\<\"root\"\>", "\<\"\"\>", "\<\"Y\"\>", \
"\<\"Y\"\>", "\<\"Y\"\>", "\<\"Y\"\>", "\<\"Y\"\>", "\<\"Y\"\>", "\<\"Y\"\>", \
"\<\"Y\"\>", "\<\"Y\"\>", "\<\"Y\"\>", "\<\"Y\"\>", "\<\"Y\"\>", "\<\"Y\"\>", \
"\<\"Y\"\>", "\<\"Y\"\>", "\<\"Y\"\>", "\<\"Y\"\>", "\<\"Y\"\>", "\<\"Y\"\>", \
"\<\"Y\"\>", "\<\"Y\"\>", "\<\"\"\>", 
     RowBox[{"SQLBinary", "[", 
      RowBox[{"{", "}"}], "]"}], 
     RowBox[{"SQLBinary", "[", 
      RowBox[{"{", "}"}], "]"}], 
     RowBox[{"SQLBinary", "[", 
      RowBox[{"{", "}"}], "]"}], "0", "0", "0"},
    {"\<\"%\"\>", "\<\"root\"\>", "\<\"\"\>", "\<\"Y\"\>", "\<\"Y\"\>", \
"\<\"Y\"\>", "\<\"Y\"\>", "\<\"Y\"\>", "\<\"Y\"\>", "\<\"Y\"\>", "\<\"Y\"\>", \
"\<\"Y\"\>", "\<\"Y\"\>", "\<\"Y\"\>", "\<\"Y\"\>", "\<\"Y\"\>", "\<\"Y\"\>", \
"\<\"Y\"\>", "\<\"Y\"\>", "\<\"Y\"\>", "\<\"Y\"\>", "\<\"Y\"\>", "\<\"Y\"\>", \
"\<\"Y\"\>", "\<\"\"\>", 
     RowBox[{"SQLBinary", "[", 
      RowBox[{"{", "}"}], "]"}], 
     RowBox[{"SQLBinary", "[", 
      RowBox[{"{", "}"}], "]"}], 
     RowBox[{"SQLBinary", "[", 
      RowBox[{"{", "}"}], "]"}], "0", "0", "0"},
    {"\<\"localhost\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"Y\"\>", "\<\"Y\"\>", "\
\<\"Y\"\>", "\<\"Y\"\>", "\<\"Y\"\>", "\<\"Y\"\>", "\<\"Y\"\>", "\<\"Y\"\>", \
"\<\"Y\"\>", "\<\"Y\"\>", "\<\"Y\"\>", "\<\"Y\"\>", "\<\"Y\"\>", "\<\"Y\"\>", \
"\<\"Y\"\>", "\<\"Y\"\>", "\<\"Y\"\>", "\<\"Y\"\>", "\<\"Y\"\>", "\<\"Y\"\>", \
"\<\"Y\"\>", "\<\"\"\>", 
     RowBox[{"SQLBinary", "[", 
      RowBox[{"{", "}"}], "]"}], 
     RowBox[{"SQLBinary", "[", 
      RowBox[{"{", "}"}], "]"}], 
     RowBox[{"SQLBinary", "[", 
      RowBox[{"{", "}"}], "]"}], "0", "0", "0"},
    {"\<\"%\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"N\"\>", "\<\"N\"\>", \
"\<\"N\"\>", "\<\"N\"\>", "\<\"N\"\>", "\<\"N\"\>", "\<\"N\"\>", "\<\"N\"\>", \
"\<\"N\"\>", "\<\"N\"\>", "\<\"N\"\>", "\<\"N\"\>", "\<\"N\"\>", "\<\"N\"\>", \
"\<\"N\"\>", "\<\"N\"\>", "\<\"N\"\>", "\<\"N\"\>", "\<\"N\"\>", "\<\"N\"\>", \
"\<\"N\"\>", "\<\"\"\>", 
     RowBox[{"SQLBinary", "[", 
      RowBox[{"{", "}"}], "]"}], 
     RowBox[{"SQLBinary", "[", 
      RowBox[{"{", "}"}], "]"}], 
     RowBox[{"SQLBinary", "[", 
      RowBox[{"{", "}"}], "]"}], "0", "0", "0"}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"CloseSQLConnection", "[", "conn", "]"}]], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Der Datenbank - Explorer", "Subsection"],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<DatabaseLink`\>\"", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"conn", "=", 
  RowBox[{"DatabaseExplorer", "[", "]"}]}]], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Eine Anwendung mit etwas mehr Daten...", "Subsection"],

Cell[CellGroupData[{

Cell["\<\
200 000 Daten erzeugen, in die Datenbank speichern und wieder abrufen\
\>", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"conn1", "=", 
  RowBox[{"OpenSQLConnection", "[", 
   RowBox[{
    RowBox[{"JDBC", "[", 
     RowBox[{"\"\<mysql\>\"", ",", "\"\<localhost:3306/test\>\""}], "]"}], 
    ",", 
    RowBox[{"Username", "\[Rule]", "\"\<root\>\""}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"SQLConnection", "[", 
  RowBox[{"\<\"\"\>", ",", "3", ",", "\<\"Open\"\>", ",", "\<\"<>\"\>"}], 
  "]"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SQLCreateTable", "[", 
  RowBox[{
  "conn1", ",", " ", "\"\<MYDATA\>\"", ",", " ", "\[IndentingNewLine]", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"SQLColumn", "[", 
      RowBox[{"\"\<BIGINTCOL\>\"", ",", " ", 
       RowBox[{"DataTypeName", "->", "\"\<BIGINT\>\""}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"SQLColumn", "[", 
      RowBox[{"\"\<REALCOL\>\"", ",", " ", 
       RowBox[{"DataTypeName", "->", "\"\<REAL\>\""}]}], "]"}]}], 
    "\[IndentingNewLine]", "}"}]}], "]"}]], "Input"],

Cell[BoxData["0"], "Output"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"tt", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ii", ",", 
       RowBox[{"Random", "[", "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"ii", ",", "100000"}], "}"}]}], "]"}]}], ";"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"AbsoluteTiming", "[", 
  RowBox[{
   RowBox[{"SQLInsert", "[", 
    RowBox[{"conn1", ",", " ", "\"\<MYDATA\>\"", ",", " ", 
     RowBox[{"{", 
      RowBox[{"\"\<BIGINTCOL\>\"", ",", " ", "\"\<REALCOL\>\""}], "}"}], ",", 
     " ", "tt"}], "]"}], ";"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"25.6468784`8.860579506173623", " ", "Second"}], ",", "Null"}], 
  "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Prepend", "[", 
   RowBox[{
    RowBox[{"Cases", "[", 
     RowBox[{
      RowBox[{"SQLTables", "[", "conn1", "]"}], ",", 
      RowBox[{
       RowBox[{"SQLTable", "[", 
        RowBox[{"x_", ",", "_"}], "]"}], ":>", "x"}]}], "]"}], ",", 
    "\"\<Tabellen:\>\""}], "]"}], "//", "TableForm"}]], "Input"],

Cell[BoxData[
 InterpretationBox[GridBox[{
    {"\<\"Tabellen:\"\>"},
    {"\<\"additive\"\>"},
    {"\<\"mydata\"\>"}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  TableForm[{"Tabellen:", "additive", "mydata"}]]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"AbsoluteTiming", "[", 
  RowBox[{
   RowBox[{"tt1", "=", 
    RowBox[{"SQLSelect", "[", 
     RowBox[{"conn1", ",", " ", "\"\<MYDATA\>\""}], "]"}]}], ";"}], 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"4.206048`8.075419218103095", " ", "Second"}], ",", "Null"}], 
  "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SQLDropTable", "[", 
  RowBox[{"conn1", ",", " ", "\"\<MYDATA\>\""}], "]"}]], "Input"],

Cell[BoxData["0"], "Output"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"CloseSQLConnection", "[", "conn1", "]"}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Erzeuge Adressdaten", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"conn1", "=", 
  RowBox[{"OpenSQLConnection", "[", 
   RowBox[{
    RowBox[{"JDBC", "[", 
     RowBox[{"\"\<mysql\>\"", ",", "\"\<localhost:3306/test\>\""}], "]"}], 
    ",", 
    RowBox[{"Username", "\[Rule]", "\"\<root\>\""}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"SQLConnection", "[", 
  RowBox[{"\<\"\"\>", ",", "3", ",", "\<\"Open\"\>", ",", "\<\"<>\"\>"}], 
  "]"}]], "Output"]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"numberressource", "=", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"ToString", "[", "#", "]"}], "&"}], ",", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"FromCharacterCode", "[", "i", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "48", ",", "57"}], "}"}]}], "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"alpharessource", "=", 
   RowBox[{"Flatten", "[", 
    RowBox[{"Append", "[", 
     RowBox[{
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"FromCharacterCode", "[", "i", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "65", ",", "90"}], "}"}]}], "]"}], ",", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"FromCharacterCode", "[", "i", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "97", ",", "121"}], "}"}]}], "]"}]}], "]"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plz", "=", 
   RowBox[{"ToString", "[", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"numberressource", "[", 
       RowBox[{"[", 
        RowBox[{"Round", "[", 
         RowBox[{
          RowBox[{"Random", "[", "]"}], "*", "10"}], "]"}], "]"}], "]"}], ",", 
      RowBox[{"{", "5", "}"}]}], "]"}], "]"}]}], ";"}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{
   RowBox[{"adressen", "=", 
    RowBox[{"Table", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"Anrede", "=", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"\"\<Herr\>\"", ",", "\"\<Frau\>\""}], "}"}], "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"Round", "[", 
            RowBox[{
             RowBox[{"Random", "[", "]"}], "*", "1"}], "]"}], "+", "1"}], 
          "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Name", "=", 
        RowBox[{"StringJoin", "[", 
         RowBox[{"Map", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"ToString", "[", "#", "]"}], "&"}], ",", 
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{"alpharessource", "[", 
              RowBox[{"[", 
               RowBox[{"1", "+", 
                RowBox[{"Round", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Random", "[", "]"}], "*", 
                   RowBox[{"Length", "[", "alpharessource", "]"}]}], "-", 
                  "1"}], "]"}]}], "]"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"Round", "[", 
               RowBox[{
                RowBox[{"Random", "[", "]"}], "*", "20"}], "]"}], "}"}]}], 
            "]"}]}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Vorname", "=", 
        RowBox[{"StringJoin", "[", 
         RowBox[{"Map", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"ToString", "[", "#", "]"}], "&"}], ",", 
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{"alpharessource", "[", 
              RowBox[{"[", 
               RowBox[{"1", "+", 
                RowBox[{"Round", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Random", "[", "]"}], "*", 
                   RowBox[{"Length", "[", "alpharessource", "]"}]}], "-", 
                  "1"}], "]"}]}], "]"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"Round", "[", 
               RowBox[{
                RowBox[{"Random", "[", "]"}], "*", "12"}], "]"}], "}"}]}], 
            "]"}]}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"plz", "=", 
        RowBox[{"StringJoin", "[", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"numberressource", "[", 
            RowBox[{"[", 
             RowBox[{"1", "+", 
              RowBox[{"Round", "[", 
               RowBox[{
                RowBox[{"Random", "[", "]"}], "*", "9"}], "]"}]}], "]"}], 
            "]"}], ",", 
           RowBox[{"{", "5", "}"}]}], "]"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"Anrede", ",", "Vorname", ",", "Name", ",", "plz"}], "}"}]}], 
      ",", "\[IndentingNewLine]", 
      RowBox[{"{", "25000", "}"}]}], "]"}]}], ";"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"7.991999999999999`", " ", "Second"}], ",", "Null"}], 
  "}"}]], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Speichere Adressen in Datenbank", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SQLCreateTable", "[", 
  RowBox[{
  "conn1", ",", " ", "\"\<ADDITIVE\>\"", ",", " ", "\[IndentingNewLine]", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"SQLColumn", "[", 
      RowBox[{"\"\<Titel\>\"", ",", " ", 
       RowBox[{"DataTypeName", "->", "\"\<CHAR\>\""}], ",", " ", 
       RowBox[{"Nullable", "\[Rule]", "True"}], ",", " ", 
       RowBox[{"DataLength", "\[Rule]", "4"}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"SQLColumn", "[", 
      RowBox[{"\"\<Name\>\"", ",", " ", 
       RowBox[{"DataTypeName", "->", "\"\<CHAR\>\""}], ",", " ", 
       RowBox[{"Nullable", "\[Rule]", "True"}], ",", " ", 
       RowBox[{"DataLength", "\[Rule]", "20"}]}], "]"}], ",", 
     RowBox[{"SQLColumn", "[", 
      RowBox[{"\"\<Vorname\>\"", ",", " ", 
       RowBox[{"DataTypeName", "->", "\"\<CHAR\>\""}], ",", " ", 
       RowBox[{"Nullable", "\[Rule]", "True"}], ",", " ", 
       RowBox[{"DataLength", "\[Rule]", "12"}]}], "]"}], ",", 
     RowBox[{"SQLColumn", "[", 
      RowBox[{"\"\<PLZ\>\"", ",", " ", 
       RowBox[{"DataTypeName", "->", "\"\<CHAR\>\""}], ",", " ", 
       RowBox[{"Nullable", "\[Rule]", "True"}], ",", " ", 
       RowBox[{"DataLength", "\[Rule]", "5"}]}], "]"}]}], 
    "\[IndentingNewLine]", "}"}]}], "]"}]], "Input"],

Cell[BoxData["0"], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Prepend", "[", 
   RowBox[{
    RowBox[{"Cases", "[", 
     RowBox[{
      RowBox[{"SQLTables", "[", "conn1", "]"}], ",", 
      RowBox[{
       RowBox[{"SQLTable", "[", 
        RowBox[{"x_", ",", "_"}], "]"}], ":>", "x"}]}], "]"}], ",", 
    "\"\<Tabellen:\>\""}], "]"}], "//", "TableForm"}]], "Input"],

Cell[BoxData[
 InterpretationBox[GridBox[{
    {"\<\"Tabellen:\"\>"},
    {"\<\"additive\"\>"}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  TableForm[{"Tabellen:", "additive"}]]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"colnames", "=", 
  RowBox[{"Map", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"Drop", "[", 
       RowBox[{"#", ",", "1"}], "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}], "&"}], ",", 
    RowBox[{"SQLColumnNames", "[", "conn1", "]"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"Titel\"\>", ",", "\<\"Name\"\>", ",", "\<\"Vorname\"\>", 
   ",", "\<\"PLZ\"\>"}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"AbsoluteTiming", "[", 
  RowBox[{
   RowBox[{"SQLInsert", "[", 
    RowBox[{
    "conn1", ",", " ", "\"\<additive\>\"", ",", " ", "colnames", ",", 
     "adressen"}], "]"}], ";"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"6.809792`8.28467884041143", " ", "Second"}], ",", "Null"}], 
  "}"}]], "Output"]
}, Open  ]],

Cell["\<\
Auf dem testpc warn nicht mehr als 30 000 Eintr\[ADoubleDot]ge gleichzeitig \
schreibbar, da nicht gen\[UDoubleDot]gend Ressourchen zur \
Verf\[UDoubleDot]gung standen...\
\>", "SmallText"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"AbsoluteTiming", "[", 
  RowBox[{
   RowBox[{"dbnames", "=", 
    RowBox[{"SQLSelect", "[", 
     RowBox[{"conn1", ",", " ", "\"\<additive\>\"", ",", " ", 
      RowBox[{"{", "\"\<Name\>\"", "}"}]}], "]"}]}], ";"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"0.6108784`7.237499762715961", " ", "Second"}], ",", "Null"}], 
  "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SQLDropTable", "[", 
  RowBox[{"conn1", ",", " ", "\"\<additive\>\""}], "]"}]], "Input"],

Cell[BoxData["0"], "Output"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"CloseSQLConnection", "[", "conn1", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Run", "[", "\"\<c:\\\\mysql\\\\stopmysql.bat\>\"", "]"}], 
  ";"}]], "Input"]
}, Closed]]
}, Closed]]
}, Open  ]]
},
WindowSize->{817, 650},
WindowMargins->{{28, Automatic}, {Automatic, 34}},
DockedCells->FEPrivate`FrontEndResource[
 "FEExpressions", "CompatibilityToolbar"],
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (November 6, \
2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 123, 5, 67, "Section"],
Cell[CellGroupData[{
Cell[727, 31, 57, 0, 34, "Subsection"],
Cell[CellGroupData[{
Cell[809, 35, 45, 0, 24, "Subsubsection"],
Cell[857, 37, 113, 3, 27, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1007, 45, 56, 0, 24, "Subsubsection"],
Cell[1066, 47, 78, 1, 27, "Input"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[1193, 54, 64, 0, 26, "Subsection"],
Cell[CellGroupData[{
Cell[1282, 58, 46, 0, 24, "Subsubsection"],
Cell[1331, 60, 101, 2, 28, "SmallText"],
Cell[CellGroupData[{
Cell[1457, 66, 272, 7, 30, "Input"],
Cell[1732, 75, 140, 3, 29, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[1921, 84, 56, 0, 18, "Subsubsection"],
Cell[CellGroupData[{
Cell[2002, 88, 338, 10, 30, "Input"],
Cell[2343, 100, 1214, 33, 275, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[3606, 139, 69, 0, 18, "Subsubsection"],
Cell[CellGroupData[{
Cell[3700, 143, 155, 4, 30, "Input"],
Cell[3858, 149, 2722, 58, 73, "Output"]
}, Open  ]],
Cell[6595, 210, 74, 1, 30, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[6718, 217, 46, 0, 26, "Subsection"],
Cell[6767, 219, 78, 1, 27, "Input"],
Cell[6848, 222, 90, 2, 27, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6975, 229, 60, 0, 34, "Subsection"],
Cell[CellGroupData[{
Cell[7060, 233, 102, 2, 29, "Subsubsection"],
Cell[CellGroupData[{
Cell[7187, 239, 272, 7, 30, "Input"],
Cell[7462, 248, 140, 3, 29, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7639, 256, 558, 13, 110, "Input"],
Cell[8200, 271, 28, 0, 29, "Output"]
}, Open  ]],
Cell[8243, 274, 272, 9, 30, "Input"],
Cell[CellGroupData[{
Cell[8540, 287, 294, 7, 30, "Input"],
Cell[8837, 296, 135, 4, 29, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9009, 305, 339, 10, 30, "Input"],
Cell[9351, 317, 589, 16, 57, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9977, 338, 200, 6, 30, "Input"],
Cell[10180, 346, 133, 4, 29, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10350, 355, 110, 2, 30, "Input"],
Cell[10463, 359, 28, 0, 29, "Output"]
}, Open  ]],
Cell[10506, 362, 75, 1, 30, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[10618, 368, 44, 0, 23, "Subsubsection"],
Cell[CellGroupData[{
Cell[10687, 372, 272, 7, 30, "Input"],
Cell[10962, 381, 140, 3, 29, "Output"]
}, Open  ]],
Cell[11117, 387, 1307, 39, 110, "Input"],
Cell[CellGroupData[{
Cell[12449, 430, 2930, 77, 270, "Input"],
Cell[15382, 509, 125, 4, 29, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[15556, 519, 56, 0, 23, "Subsubsection"],
Cell[CellGroupData[{
Cell[15637, 523, 1309, 27, 150, "Input"],
Cell[16949, 552, 28, 0, 29, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[17014, 557, 339, 10, 30, "Input"],
Cell[17356, 569, 555, 15, 55, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[17948, 589, 298, 9, 30, "Input"],
Cell[18249, 600, 144, 3, 29, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[18430, 608, 221, 6, 30, "Input"],
Cell[18654, 616, 132, 4, 29, "Output"]
}, Open  ]],
Cell[18801, 623, 199, 4, 28, "SmallText"],
Cell[CellGroupData[{
Cell[19025, 631, 256, 6, 30, "Input"],
Cell[19284, 639, 134, 4, 29, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[19455, 648, 112, 2, 30, "Input"],
Cell[19570, 652, 28, 0, 29, "Output"]
}, Open  ]],
Cell[19613, 655, 75, 1, 30, "Input"],
Cell[19691, 658, 112, 3, 30, "Input"]
}, Closed]]
}, Closed]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
